<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Admin as adminModel;
use App\Business;
use App\Category;
use Hash;

class AdminController extends Controller
{
    public function validateLogin(Request $request)
    {
    	$validatedData = $request->validate([
	        'email' => 'required|exists:admins,bo_email',
	        'password' => 'required'
	    ]);

    	$admin_data = adminModel::where('bo_email', $request->email)->get()->toArray()[0];

    	if( !password_verify($request->password, $admin_data['password']) ){
    		return 'Password is incorrect!';
    	}

        session(['admin_data' => $admin_data]);

	    return redirect('dashboard');
    }

    public function get(Request $request)
    {
        $admin_session_data = session('admin_data');
        if(isset($admin_session_data)){

            $all_categories = Category::all();
            return view('admin.dashboard', compact('admin_session_data', 'all_categories'));
        }
    }

    public function StoreBusiness(Request $request)
    {
        $validatedData = $request->validate([
            'name' => 'required',
            'phone' => 'required|numeric',
            'email' => 'required|unique:businesses,email',
            'b_name' => 'required',
            'category' => 'required',
            'address' => 'required',
            'description' => 'nullable',
            'website' => 'nullable',
            'business_logo' => 'nullable',
            'make_featued' => 'nullable',
            'offers' => 'required',
        ]);

        $img_path = $request->file('business_logo')->store('public');
        $path = 'storage/'.$request->business_logo->hashName();

        $b_id = Business::create([
            'c_name' => $request->name,
            'email' => $request->email,
            'phone' => $request->phone,
            'b_name' => $request->b_name,
            'category_id' => $request->category,
            'address' => $request->address,
            'description' => $request->description,
            'website' => $request->website,
            'offers' => $request->offers,
            'logo' => $path,
            'is_featured' => $request->make_featued ? 1 : 0,
            'b_show' => 1,
        ]);

        dd('yo');
        return redirect()->back()->with('Success', ['Registered Successfully!']);   
    }

}
