<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Business;
use App\Category;
use DB;

class SearchController extends Controller
{
    public function index(Request $request)
    {
    	$search_string= '';
    	$search_category= '';
    	$search_results = Business::join('categories as c', 'c.id', '=', 'businesses.category_id')
							->select(DB::raw('c.name as category_name, c.id as category_id, businesses.*'))
	    					->where(function($query) use ($request) {
	    						if( $request->has('search') && $request->search != ''){
	    							$query->where('businesses.b_name', $request->search)
    										->orWhere('businesses.b_name', 'like', '%' . $request->search . '%')
    										->orWhere('businesses.offers', 'like', '%' . $request->search . '%');
	    						}
	    						if( $request->has('category') && $request->category != ''){
	    							$query->where('category_id', $request->category);
	    						}
	    					})
	    					->orderBy('businesses.created_at', 'asc')->paginate(10);
		// dd($search_results);
    	return view('search', compact('search_results'));
    }
}
